<?
// po poprawkach
namespace admin\factory;

class Restriction
{
  public function isBannedEmail( $email )
  {
    global $db;

    $query = $db -> prepare('SELECT id FROM pp_banned_email WHERE email = :email');
    $query -> bindValue(':email' , $email , \PDO::PARAM_STR);
    $query -> execute();
    if ( $query -> rowCount() )
      return true;
    else
      return false;
  }
  
  public function isBannedLogin( $login )
  {
    global $db;

    $query = $db -> prepare('SELECT id FROM pp_banned_email WHERE login = :login');
    $query -> bindValue(':login' , $login , \PDO::PARAM_STR);
    $query -> execute();
    if ( $query -> rowCount() )
      return true;
    else
      return false;
  }
  
  public function deleteBannedEmail( $id )
  {
    global $db;

		$query = $db -> prepare( 'DELETE FROM pp_banned_email WHERE id = :id' );
		$query -> bindValue( ':id' , $id , \PDO::PARAM_INT );
		$query -> execute();
    if ( $query -> rowCount() )
      \System::setAlert( 'Zbanowany adres email został usunięty.' );
		$query -> closeCursor();
  }
  
  public function deleteBannedLogin( $id )
  {
		global $db;

		$query = $db -> prepare( 'DELETE FROM pp_banned_login WHERE id = :id' );
		$query -> bindValue( ':id', $id, \PDO::PARAM_INT );
		$query -> execute();
    if ( $query -> rowCount() )
      \System::setAlert( 'Zbanowany login został usunięty.' );
		$query -> closeCursor();
	}
}
?>